]> git.pld-linux.org Git - packages/lighttpd.git/commitdiff
- new
authorArkadiusz Miśkiewicz <arekm@maven.pl>
Wed, 24 Mar 2004 23:29:21 +0000 (23:29 +0000)
committercvs2git <feedback@pld-linux.org>
Sun, 24 Jun 2012 12:13:13 +0000 (12:13 +0000)
Changed files:
    lighttpd.init -> 1.1

lighttpd.init [new file with mode: 0644]

diff --git a/lighttpd.init b/lighttpd.init
new file mode 100644 (file)
index 0000000..d13505d
--- /dev/null
@@ -0,0 +1,78 @@
+#!/bin/sh
+#
+# lighttpd     lighttpd Web Server
+#
+# chkconfig:   345 85 15
+# description: lighttpd is a World Wide Web server.  It is used to serve \
+#              HTML files and CGI.
+#
+
+# Source function library
+. /etc/rc.d/init.d/functions
+
+# Get network config
+. /etc/sysconfig/network
+
+# Get service config
+[ -f /etc/sysconfig/lighttpd ] && . /etc/sysconfig/lighttpd
+
+# Check that networking is up.
+if is_yes "${NETWORKING}"; then
+       if [ ! -f /var/lock/subsys/network -a "$1" != stop -a "$1" != status ]; then
+               # nls "ERROR: Networking is down. %s can't be run." <service>
+               msg_network_down lighttpd
+               exit 1
+       fi
+else
+       exit 0
+fi
+
+RETVAL=0
+# See how we were called.
+case "$1" in
+  start)
+       # Check if the service is already running?
+       if [ ! -f /var/lock/subsys/lighttpd ]; then
+               msg_starting lighttpd
+               daemon lighttpd -f /etc/lighttpd/lighttpd.conf $HTTPD_OPTS
+               RETVAL=$?
+               [ $RETVAL -eq 0 ] && touch /var/lock/subsys/lighttpd
+       else
+               msg_already_running lighttpd
+       fi
+       ;;
+  stop)
+       # Stop daemons.
+       if [ -f /var/lock/subsys/lighttpd ]; then
+               msg_stopping lighttpd
+               killproc lighttpd
+               rm -f /var/lock/subsys/lighttpd >/dev/null 2>&1
+       else
+               msg_not_running lighttpd
+       fi
+       ;;
+  status)
+       status lighttpd
+       RETVAL=$?
+       ;;
+  restart)
+       $0 stop
+       $0 start
+       ;;
+  reload|force-reload|graceful)
+       if [ -f /var/lock/subsys/lighttpd ]; then
+               msg_reloading lighttpd
+               killproc lighttpd -HUP
+               RETVAL=$?
+       else
+               msg_not_running lighttpd
+               RETVAL=7
+       fi
+       ;;
+  *)
+       msg_usage "$0 {start|stop|restart|reload|force-reload|graceful|status}"
+       exit 3
+       ;;
+esac
+
+exit $RETVAL
This page took 0.027019 seconds and 4 git commands to generate.